## perl 5.004.05-2

=== debian/changelog ===
perl (5.004.05-2) unstable; urgency=low

  * New release of fake packages.  They should all be priority extra.

 -- Darren Stalder <torin@daft.com>  Tue, 17 Aug 1999 03:11:02 -0700

perl (5.004.05-1) unstable; urgency=low

  * Initial release of fake packages.  These are here only to ease the
    upgrade to versioned Perl.  Feel free to remove them once installed.
  * Release to Incoming on master.

 -- Darren Stalder <torin@daft.com>  Thu,  1 Jul 1999 01:53:19 -0700

** Local Variables: **
** mode:debian-changelog **
** change-log-default-name:"changelog" **
** fill-prefix:"  " **
** End: **
