=== debian/control ===
Section: interpreters
Maintainer: Darren Stalder <torin@daft.com>
Source: perl
Standards-Version: 2.5.0

Package: perl
Priority: extra
Architecture: all
Depends: perl-5.004, perl-5.004-doc
Provides: io
Replaces: io
Conflicts: io
Description: Fake package used for a smooth upgrade
 This package depends on perl-5.004. Perl-5.005 will conflict
 with perl so that all dependencies on perl will have to have
 vanished before perl-5.005 will be installed. The scripts and
 non-binary modules have to depend on perl5 and the
 binary modules on perl-5.005 (or whatever is the latest version
 of perl available in Debian).
 .
 It does also contain the io provides/replaces/conflicts. This
 has been removed from the perl-5.00X since io has disappeared
 a long time ago.

Package: perl-debug
Priority: extra
Architecture: all
Depends: perl (=${Source-Version}), perl-5.004-debug
Description: Fake package used for a smooth upgrade
 This package depends on perl-5.004-debug.  It exists so that
 apt/dselect will automatically install perl-5.004-debug if you have
 perl-debug installed already.
 .
 Feel free to remove this package after it's been installed.

Package: perl-suid
Priority: extra
Architecture: all
Depends: perl (=${Source-Version}), perl-5.004-suid
Description: Fake package used for a smooth upgrade
 This package depends on perl-5.004-suid.  It exists so that
 apt/dselect will automatically install perl-5.004-suid if you have
 perl-suid installed already.
 .
 Feel free to remove this package after it's been installed.
