## perl 5.10.1

=== debian/changelog ===
perl (5.10.1-17ubuntu4) natty; urgency=low

  * debian/config.debian: pass multiarch paths to the build (if 
    available) so that we're able to find libraries needed to build.
    LP: #739693.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Mar 2011 13:44:06 -0700

perl (5.10.1-17ubuntu3) natty; urgency=low

  * debian/config.over: Set i_libutil='undef', just in case libbsd-dev is
    installed at build time.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2011 15:28:15 +0000

perl (5.10.1-17ubuntu2) natty; urgency=low

  * Backport fix from threads 1.35 to conditionally compile tmps stack
    cleanup code, fixing threads tests on ppc64.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Feb 2011 19:30:53 +0000

perl (5.10.1-17ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #704391)
    - debian/control: Change build dependency from libdb4.7-dev
      to libdb-dev, to minimize the db versions on the CDs.
    - debian/patches/fixes/h2ph-gcc-4.5.diff:
      + Fix h2ph header generation with GCC 4.5. (Closes: #599933)

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 18 Jan 2011 13:17:37 +0100

perl (5.10.1-17) unstable; urgency=medium

  * [SECURITY] CVE-2010-2761 CVE-2010-4410 CVE-2010-4411:
    fix CGI.pm MIME boundary and multiline header vulnerabilities.
    (Closes: #606995)

 -- Niko Tyni <ntyni@debian.org>  Fri, 07 Jan 2011 13:57:42 +0200

perl (5.10.1-16ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Change build dependency from libdb4.7-dev to libdb-dev, to minimize
      the db versions on the CDs.
    - Fix h2ph header generation with GCC 4.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Nov 2010 16:03:31 +0000

perl (5.10.1-16) unstable; urgency=low

  * Improve LC_NUMERIC documentation. (Closes: #379329)
  * Fix sprintf not to ignore LC_NUMERIC with constants. (Closes: #601549)
  * Fix stack pointer corruption in pp_concat() with "use encoding".
    (Closes: #596105)

 -- Niko Tyni <ntyni@debian.org>  Tue, 02 Nov 2010 10:17:28 +0200

perl (5.10.1-15ubuntu2) natty; urgency=low

  * Apply upstream patch from Robin Barker
    (http://perl5.git.perl.org/perl.git/commit/8d66b3f930dc6d88b524d103e304308ae73a46e7)
    to fix h2ph header generation with GCC 4.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Oct 2010 15:11:13 +0100

perl (5.10.1-15ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Change build dependency from libdb4.7-dev to libdb-dev, to minimize
      the db versions on the CDs.
  * Drop sparc optimisation change; Ubuntu no longer builds for sparc.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Oct 2010 10:29:51 +0100

perl (5.10.1-15) unstable; urgency=low

  * Include the Text::Tabs license in debian/copyright. Thanks to "v.nix.is".
    (Closes: #596844)
  * Downgrade the 'make' recommendation to a suggestion to avoid pulling
    it in by default after all. (Closes: #596734) (Reopens: #293908)
  * Put the libfile-spec-perl conflict version in line with the separate
    package, which uses four digits. (Closes: #595121)
  * Squelch useless locale warnings during package maintainer scripts.
    (Closes: #508764)

 -- Niko Tyni <ntyni@debian.org>  Wed, 06 Oct 2010 21:45:00 +0300

perl (5.10.1-14) unstable; urgency=medium

  * Don't override -DDEBIAN on GNU/Hurd, fixing @INC breakage and other
    things. Thanks to Samuel Thibault. (Closes: #587901)
  * Fix builds on gcc 4.5 by passing PERL_PATCHLEVEL_H_IMPLICIT to cpp.
    Thanks to Loïc Minier and Paul Brook. (Closes: #588799)
  * Fix builds when the name of the current directory contains regexp
    metacharacters, particularly binNMUs with current sbuild versions.
    Thanks to Kyle Moffett and Ansgar Burchardt. (Closes: #585678)
  * Releasing with 'medium' urgency due to an RC bug fix.

 -- Niko Tyni <ntyni@debian.org>  Wed, 04 Aug 2010 13:52:05 +0300

perl (5.10.1-13) unstable; urgency=low

  * [SECURITY] CVE-2010-1974: Update to Safe-2.25, fixing code injection
    and execution vulnerabilities. (Closes: #582978)
  * Add conflicts/replaces/provides for the new libswitch-perl,
    libclass-isa-perl, and libpod-plainer-perl packages. (See #580034)
  * Fix a tell() crash on bad arguments. (Closes: #578577)
  * Fix a format/write crash. (Closes: #579537)
  * Prevent gcc from optimizing the u32align check away, finally fixing
    MD5 on armel. Thanks to Marc Pignat. (Closes: #289884)
  * Fix a test failure in CGI/t/fast.t when FCGI is available.

 -- Niko Tyni <ntyni@debian.org>  Sun, 30 May 2010 11:09:48 +0300

perl (5.10.1-12ubuntu2) maverick; urgency=low

  * debian/config.debian: merge fix from Paul Brook to make configure define
    PERL_PATCHLEVEL_H_IMPLICIT so that patchlevel.h does not require
    git_version; fixes the build with recent GCCs where gcc -E fails on
    missing includes; LP: #600951.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 12 Jul 2010 12:31:10 +0200

perl (5.10.1-12ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Change build dependency from libdb4.7-dev to libdb-dev, to minimize
      the db versions on the CDs.
    - On sparc, build with -O1 instead of -O2.  See #438876.
  * Drop Breaks against doc-base.  We no longer need to upgrade directly
    from hardy.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 May 2010 16:32:38 +0100

perl (5.10.1-12) unstable; urgency=low

  * Fix the location of an Archive::Tar test file.
  * Update conflict versions on libscalar-list-utils-perl, libxsloader-perl,
    and libnet-perl.
  * Properly include the 5.10.0 site directories on @INC as per Perl policy.
    (Closes: #575030)
  * Fix an errno stringification bug in taint mode. (Closes: #574129) 
  * Move Config_heavy.pl into perl-base and unapply the DynaLoader
    changes introduced in 5.10.1-5. (Closes: #575308)
  * Remove B and B::Deparse from perl-base, they haven't worked without

